cURL
curl --request POST \
--url https://api.useanima.sh/v1/mcp-auth/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.useanima.sh/v1/mcp-auth/sessions"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.useanima.sh/v1/mcp-auth/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "<string>",
"token": "<string>",
"authUrl": "<string>"
}API Reference
Post mcp authsessions
POST
/
mcp-auth
/
sessions
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Body
application/json
No input needed — the server generates the session token
⌘I
